Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
After update normal firefox replaced with developer edition
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
walterbyrd
n00b
n00b


Joined: 26 Apr 2017
Posts: 35

PostPosted: Wed May 30, 2018 2:50 pm    Post subject: After update normal firefox replaced with developer edition Reply with quote

Also firefox was removed from the menu.

Code:

$ uname -a
Linux fir 4.14.39-calculate #1 SMP PREEMPT Fri May 4 09:24:36 UTC 2018 x86_64 AMD Athlon(tm) II X4 640 Processor AuthenticAMD GNU/Linux


Running MATE Desktop Environment 1.18.0.

The only way I have to start firefox now is to go to the command line and type:

Code:

$ firefox &


When firefox comes up, I get the developer edition.

Anyway to get normal firefox back?
Back to top
View user's profile Send private message
pjp
Administrator
Administrator


Joined: 16 Apr 2002
Posts: 17509

PostPosted: Wed May 30, 2018 3:06 pm    Post subject: Reply with quote

Moved from Portage & Programming to Unsupported Software since this isn't related to Gentoo.
_________________
It is what it is out there. So whatever it is, it is.
Back to top
View user's profile Send private message
steveL
Watchman
Watchman


Joined: 13 Sep 2006
Posts: 5153
Location: The Peanut Gallery

PostPosted: Wed May 30, 2018 5:24 pm    Post subject: Reply with quote

Sounds like you need the branding (or perhaps -bindist) USE-flag, to use official Mozilla branding (which means you can't distribute binaries off-site.)

Check the output of:
Code:
emerge -pv www-client/firefox
You might also find this topic useful.
Back to top
View user's profile Send private message
walterbyrd
n00b
n00b


Joined: 26 Apr 2017
Posts: 35

PostPosted: Mon Jun 04, 2018 4:01 pm    Post subject: Reply with quote

Code:

$ emerge -pv www-client/firefox

Local copy of remote index is up-to-date and will be used.

These are the packages that would be merged, in order:

Calculating dependencies... done!
[binary   R    ] www-client/firefox-60.0.1::gentoo  USE="bindist dbus gmp-autoupdate hwaccel system-icu system-jpeg system-libevent system-libvpx system-sqlite -custom-cflags -custom-optimization -debug -eme-free -hardened -jack (-neon) -pulseaudio -screenshot (-selinux) -startup-notification -system-harfbuzz {-test} -wifi" L10N="bg bs cs da de es-AR es-ES es-MX et fi fr hr hu it kk lt lv nl pl pt-BR pt-PT ro ru sk sl sq sr sv uk -ach -af -an -ar -as -ast -az -bn-BD -bn-IN -br -ca -cak -cy -dsb -el -en-GB -en-ZA -eo -es-CL -eu -fa -ff -fy -ga -gd -gl -gn -gu -he -hi -hsb -hy -id -is -ja -ka -kab -km -kn -ko -lij -mai -mk -ml -mr -ms -nb -nn -or -pa -rm -si -son -ta -te -th -tr -uz -vi -xh -zh-CN -zh-TW" 0 KiB

Total: 1 package (1 reinstall, 1 binary), Size of downloads: 0 KiB

Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 41738
Location: 56N 3W

PostPosted: Mon Jun 04, 2018 4:28 pm    Post subject: Reply with quote

walterbyrd,

Code:
USE=bindist
gets you the developer edition. You should have a blue icon called Aroura(sp) that runs your firefox.

If you want firefox with the logo and build it yourself, you must set
Code:
USE=-bindist
for firefox.
Thunderbird does something similar.

If you set -bindist globally you will get non-distributable version of other packages too as potentially patent encumbered code will be installed.

Its safe to use -bindist on firefox and or thunderbird. Most of the other things affected by the bindist USE flag need it to be set consistently.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
walterbyrd
n00b
n00b


Joined: 26 Apr 2017
Posts: 35

PostPosted: Fri Jun 08, 2018 7:57 pm    Post subject: Reply with quote

Thank you. I did not know that the firefox developer edition was called "Aurora"

I found the icon, and put it on my toolbar.

I suppose I will just keep using the developer edition. Seems to work okay.

Thank you again.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum